package com.upyuns.platform.rs.website.controller.web;

import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.github.wxiaoqi.security.common.util.Query;
import com.github.wxiaoqi.security.common.vo.PageDataVO;
import com.upyuns.platform.rs.website.biz.LmyxmonitorimageBiz;
import com.upyuns.platform.rs.website.entity.Lmyxmonitorimage;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("lmyxmonitorimage/web")
public class LmyxmonitorimageController extends BaseController<LmyxmonitorimageBiz,Lmyxmonitorimage> {


    @RequestMapping(value = "/app/unauth/baseAdd",method = RequestMethod.POST)
    @ResponseBody
    public ObjectRestResponse<Lmyxmonitorimage> appUnauthbaseAdd(@RequestBody Lmyxmonitorimage entity){
        baseBiz.insertSelective(entity);
        return new ObjectRestResponse<Lmyxmonitorimage>();
    }

    @ApiOperation("根据参数查询，等于")
    @RequestMapping(value = "/app/unauth/logicList",method = RequestMethod.GET)
    @ResponseBody
    public ObjectRestResponse<List<Lmyxmonitorimage>> logicList(Lmyxmonitorimage entity){
        //查询列表数据
        return ObjectRestResponse.succ(baseBiz.selectList(entity));
    }
}